FsImageProto.FilesUnderConstructionSection.FileUnderConstructionEntryOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: FilesUnderConstructionSection, interface: FileUnderConstructionEntryOrBuilder

Package org.apache.hadoop.hdfs.server.namenode

# Interface FsImageProto.FilesUnderConstructionSection.FileUnderConstructionEntryOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `FsImageProto.FilesUnderConstructionSection.FileUnderConstructionEntry`, `FsImageProto.FilesUnderConstructionSection.FileUnderConstructionEntry.Builder`

Enclosing class:
  FsImageProto.FilesUnderConstructionSection

public static interface FsImageProto.FilesUnderConstructionSection.FileUnderConstructionEntryOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFullPath()`
  `optional string fullPath = 2;`
  `org.apache.hadoop.thirdparty.protobuf.ByteString`
  `getFullPathBytes()`
  `optional string fullPath = 2;`
  `long`
  `getInodeId()`
  `optional uint64 inodeId = 1;`
  `boolean`
  `hasFullPath()`
  `optional string fullPath = 2;`
  `boolean`
  `hasInodeId()`
  `optional uint64 inodeId = 1;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasInodeId

    boolean hasInodeId()
    `optional uint64 inodeId = 1;`
    Returns:
      Whether the inodeId field is set.

  - ### getInodeId

    long getInodeId()
    `optional uint64 inodeId = 1;`
    Returns:
      The inodeId.

  - ### hasFullPath

    boolean hasFullPath()
    `optional string fullPath = 2;`
    Returns:
      Whether the fullPath field is set.

  - ### getFullPath

    String getFullPath()
    `optional string fullPath = 2;`
    Returns:
      The fullPath.

  - ### getFullPathBytes

    org.apache.hadoop.thirdparty.protobuf.ByteString getFullPathBytes()
    `optional string fullPath = 2;`
    Returns:
      The bytes for fullPath.